// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wHelpView:
//   The help view.

#ifndef p4wHelpView_H
#define p4wHelpView_H


//
// Includes
#include "p4wView.h"


//
// p4wHelpView class
class p4wHelpView : public p4wView {
public:
	//
	// Constructors and destructor.
						p4wHelpView(p4wRequest & Request);
	virtual				~p4wHelpView();

	//
	// Control item render functions.

	virtual	void		RenderContent();
	virtual void		RenderMenu();
	virtual int 		RenderUpdateOK() { return 1; };
	static const char *	GetHelpText( const StrPtr *type );

private:
	void			initHelp();
	void			doHelpURLs(const char *helpText);
	
	StrBuf			fTitle;
	StrBuf			fHelpText;
};

#endif // p4wHelpView_H
